#!/bin/sh
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: © 2020 Mopi
set -o errexit

###
# Sherlock Holmes and the Hound of the Baskervilles
# send your bug reports to contact@dotslashplay.it
###

script_version=20240619.1

PLAYIT_COMPATIBILITY_LEVEL='2.29'

GAME_ID='sherlock-holmes-and-the-hound-of-the-baskervilles'
GAME_NAME='Sherlock Holmes and the Hound of the Baskervilles'

ARCHIVE_BASE_0_NAME='setup_sherlock_holmes_and_the_hound_of_the_baskervilles_1.0_(31691).exe'
ARCHIVE_BASE_0_MD5='26b5d3a72d919ffd084efbb660b7607d'
ARCHIVE_BASE_0_TYPE='innosetup'
ARCHIVE_BASE_0_SIZE='340000'
ARCHIVE_BASE_0_VERSION='1.0-gog31691'
ARCHIVE_BASE_0_URL='https://www.gog.com/game/sherlock_holmes_and_the_hound_of_the_baskervilles'

CONTENT_PATH_DEFAULT='.'
CONTENT_GAME_BIN_FILES='
d3dx9_32.dll
msvcr71.dll
sherlockholmes_thehoundofthebaskervilles.exe
game.ini
user.ini'
CONTENT_GAME_DATA_FILES='
000
cursor
game
logo
shaders.0050
data.txt'

USER_PERSISTENT_FILES='
game.ini
user.ini'

APP_MAIN_EXE='sherlockholmes_thehoundofthebaskervilles.exe'

PACKAGES_LIST='
PKG_BIN
PKG_DATA'

PKG_DATA_ID="${GAME_ID}-data"
PKG_DATA_DESCRIPTION='data'

PKG_BIN_ARCH='32'
PKG_BIN_DEPS="$PKG_DATA_ID"

# Load common functions

PLAYIT_LIB_PATHS="
$PWD
${XDG_DATA_HOME:="${HOME}/.local/share"}/play.it
/usr/local/share/games/play.it
/usr/local/share/play.it
/usr/share/games/play.it
/usr/share/play.it"

if [ -z "$PLAYIT_LIB2" ]; then
	for playit_lib_path in $PLAYIT_LIB_PATHS; do
		if [ -e "${playit_lib_path}/libplayit2.sh" ]; then
			PLAYIT_LIB2="${playit_lib_path}/libplayit2.sh"
			break
		fi
	done
fi
if [ -z "$PLAYIT_LIB2" ]; then
	printf '\n\033[1;31mError:\033[0m\n'
	printf 'libplayit2.sh not found.\n'
	exit 1
fi
. "$PLAYIT_LIB2"

# Extract game data

archive_extraction_default

# Include game data

content_inclusion_icons 'PKG_DATA'
content_inclusion_default

# Write launchers

launchers_generation 'PKG_BIN'

# Build packages

packages_generation
print_instructions

# Clean up

rm --recursive "$PLAYIT_WORKDIR"

exit 0
